PACTREE(8)

NOME
pactree - visualizador da árvore de dependências de pacote

SINOPSE

pactree [opções] <pacote>

DESCRIÇÃO

pactree produz uma árvore de dependências para um pacote.

Por padrão, uma saída em formato de árvore é gerada, mas com a opção --graph, uma descrição Graphviz é gerada.

OPÇÕES

-a, --ascii
    Usa caracteres ASCII para formatação de árvore. Por padrão, pactree usará caracteres de desenho de linha Unicode se for capaz de detectar que o local os suporta.

-c, --color
    Colore a saída.

--config <arquivo>
    Especifica um arquivo de configuração do pacman alternativo.

-b, --dbpath
    Especifica um local de base de dados alternativo.

--debug
    Exibe as mensagens de log produzidas por libalpm.

-d, --depth <número>
    Limita o número de níveis de dependência para mostrar. Um zero significa mostrar apenas o pacote nomeado, um mostra os pacotes que são diretamente necessários.

--gpgdir <dir>
    Especifica um diretório GnuPG alternativo para verificar as assinaturas da base de dados (o padrão é /etc/pacman.d/gnupg).

-g, --graph
    Gera uma descrição do Graphviz. Se esta opção for fornecida, as opções --color e --linear são ignoradas.

-h, --help
    Exibe a sintaxe e as opções de linha de comando.

-l, --linear
    Exibe os nomes de pacotes no início de cada linha, um por linha.

-o, --optional[=profundidade]
    Além disso, exibe as dependências opcionais até uma certa profundidade, padrão 1 para dependências opcionais imediatas. Quando usado em conjunto com -r, mostra para quais pacotes são opcionais. No modo Graphviz, produz linhas pontilhadas. Valores negativos significam profundidade infinita.

-r, --reverse
    Mostra os pacotes que dependem do pacote nomeado.

-s, --sync
    Lê os dados do pacote de bases de dados de sincronização em vez da base de dados local.

-u, --unique
    Lista os pacotes dependentes uma vez. Implica em --linear.

VEJA TAMBÉM

pacman(8), pacman.conf(5), makepkg(8)

BUGS

Bugs? Você deve estar brincando; não há erros neste software. Mas se por acaso estivermos errados, envie um relatório de erro com o máximo de detalhes possível para https://gitlab.archlinux.org/pacman/pacman-contrib/-/issues/new.

AUTORES

Atuais mantenedores:

    • Johannes Löthberg <johannes@kyriasis.com>

    • Daniel M. Capella <polyzen@archlinux.org>

Para contribuidores adicionais, use git shortlog -s no repositório do pacman-contrib.git.

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por Rafael Fontenelle <rafaelff@gnome.org>

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).